#!/bin/bash

echo "=> Iniciamos la gestión de códigos para Canon ..."

# Primero generamos el PPD mediante el Cque.  De este se puede personalizar:
# *DefaultUserPassword: Custom.1234
# *DefaultUserID: Custom.1234
# *DefaultSecuredPassword: Custom.1234
## Que se corresponden con los parámetros enviados a la fotocopiadora:
# @PJL COMMENT CANPJL SET USERNAME = "7654321"
# @PJL COMMENT CANPJL SET USERID=1234
# @PJL COMMENT CANPJL SET USERPWD=1234
# @PJL COMMENT CANPJL SET SECUREPASSWD=1234
# @PJL ENTER LANGUAGE=PCL (el ppd que se instala/configura es el PCL, no el PXL [PXL==PCL6] o PS)
PARAMETRO="PJL COMMENT CANPJL SET USERID"
if grep -a "${PARAMETRO}" "${TEADATAFILE}" &> /dev/null ; then
    sed -i "0,/${PARAMETRO}/{s#${PARAMETRO}=.*#${PARAMETRO}=\"${NOMBREPRINT}\"#}" "${TEADATAFILE}"
fi

for PARAMETRO in "PJL COMMENT CANPJL SET USERPWD" \
"PJL COMMENT CANPJL SET SECUREPASSWD" ; do
    if grep -a "${PARAMETRO}" "${TEADATAFILE}" &> /dev/null ; then
        sed -i "0,/${PARAMETRO}/{s#${PARAMETRO}=.*#${PARAMETRO}=\"${USERCODEPRINT}\"#}" "${TEADATAFILE}"
    fi
done

echo "=> Terminamos la gestión de códigos para Canon ..."
